How to fix Disabling 1.0 TLS post installation issues

If you disabled support for old TLS 1.0 version and you are only supporting TLS 1.2 you may end up having some problems within your environment. This is normally disabled because of the new PCI/DSS requirements.

The below is a list of common issues and what to do to fix it.

To fix Remote Desktop Connection install the following: (Windows 7 Users Only)

Users will not be able to connect to remote servers.

https://support.microsoft.com/en-gb/kb/2592687

https://support.microsoft.com/en-gb/kb/3097192

To fix SQL Management Studio connection use the following: (Any Windows) 

Users will not be able to use SQL Management Studio to connect to databases

Install .Net 4.6 or 4.6.1

https://www.microsoft.com/en-gb/download/details.aspx?id=48130

To fix local IIS copies. use one of the following depending on .Net version and Windows version.

Users will not be able to run local copies under IIS. Storefront error will appear on the local site.

You need to update one of the .Net version depending on which version your local site is running.

ADO.NET – SqlClient (.NET Framework 4.5.2, 4.5.1, 4.5)

Hotfix rollup 3099842 for the .NET Framework 4.5.2, 4.5.1, and 4.5 on Windows 8.1 and Windows Server 2012 R2

Hotfix rollup 3099844 for the .NET Framework 4.5.2, 4.5.1, and 4.5 on Windows 8 and Windows Server 2012

Hotfix rollup 3099845 for the .NET Framework 4.5.2 and the .NET Framework 4.5.1 on Windows 7 Service Pack 1/ Windows Vista and Windows Server 2008 R2/Windows Server 2008

ADO.NET – SqlClient (.NET Framework 4.0)

Hotfix rollup 3106994 for the .NET Framework 4.0 in Windows

ADO.NET – SqlClient (.NET Framework 3.5/.NET Framework 2.0 SP2)

Hotfix rollup 3106990 for the .NET Framework 2.0 SP2 in Windows Server 2008 SP2 and Windows Vista SP2

Hotfix rollup 3106990 for the .NET Framework 2.0 SP2 in Windows Server 2008 SP2 and Windows Vista SP2

Hotfix rollup 3106992 for the .NET Framework 2.0 SP2 on Windows Server 2012 and Windows 8

Hotfix rollup 3106993 for the .NET Framework 2.0 SP2 in Windows Server 2012 R2 and Windows 8.1

and also other updated you may need installing to fix other problems.

https://support.microsoft.com/en-gb/kb/3135244

and also Microsoft Tutorial

https://blogs.msdn.microsoft.com/markweberblog/2015/12/01/sql-server-support-for-pci-dss-3-1/

Have fun!

 

 

 

Advertisements

Leave a Reply

Fill in your details below or click an icon to log in:

WordPress.com Logo

You are commenting using your WordPress.com account. Log Out / Change )

Twitter picture

You are commenting using your Twitter account. Log Out / Change )

Facebook photo

You are commenting using your Facebook account. Log Out / Change )

Google+ photo

You are commenting using your Google+ account. Log Out / Change )

Connecting to %s